VNSTATI(1)

NAME
vnstati - png image output support for vnStat

SYNOPSIS
vnstati [-5bcdDehimostvy?] [--altdate] [--begin date] [--cache time] [--config file] [--days [count]] [--dbdir directory] [--debug] [--end date] [--fiveminutes [count]] [--headertext text] [--help] [-hg] [--hours [count]] [--hoursgraph] [-hs] [--hsummary] [-i interface] [--iface interface] [--locale locale] [--months [count]] [-ne] [-nh] [-nl] [--noedge] [--noheader] [--nolegend] [--output file] [-ru [mode]] [--rateunit [mode]] [--style number] [--summary] [--top [count]] [--transparent] [--version] [-vs] [--vsummary] [--months [count]]

DESCRIPTION
The purpose of vnstati is to provide image output support for statistics collected using vnstat(1). The image file format is limited to png. All basic outputs of vnStat are supported excluding live traffic features. The image can be outputted either to a file or to standard output.

OPTIONS

--altdate
    Use alternative date and time text location. The date and time text will be moved from the upper right header section to the lower left corner. This option will have no effect if -nh, --noheader has been selected.

-b, --begin date
    Begin the list output with a specific date / time defined by date instead of the begin being selected based on the number of entries to be shown. If date isn't available in the database then the closest later date will be used. date supports the following formats: YYYY-MM-DD HH:MM and YYYY-MM-DD. This option can only be used with list outputs.

-c, --cache time
    Update output file only if at least time minutes have passed since the previous file update. This option is ignored if stdout is used as output.

--config file
    Use file as configuration file instead of using automatic configuration file search functionality.

-d, --days [count]
    Output traffic statistics on a daily basis for the last days. The length of the list will default to 30 entries unless configured otherwise or unless the optional count parameter is used. All entries stored in the database will be shown if count is set to 0.

--dbdir directory
    Use directory as database directory instead of using the directory specified in the configuration file or the hardcoded default if no configuration file is available.

-D, --debug
    Show additional debug output.

-e, --end date
    End the list output with a specific date / time defined by date instead of the latest date / time in the database. If date isn't available in the database then the closest earlier date will be used. date supports the following formats: YYYY-MM-DD HH:MM and YYYY-MM-DD. This option can only be used with list outputs. The top list also requires --begin to be used at the same time with this option.

-5, --fiveminutes [count]
    Output traffic statistics with a 5 minute resolution for the last hours. The length of the list will default to 24 entries unless configured otherwise or unless the optional count parameter is used. All entries stored in the database will be shown if count is set to 0.

--headertext text
    Show text in image header section instead of automatically generated interface identification. text is limited to 64 characters and may not get completely shown if longer than the width of the image. Use with --altdate if maximal space is needed. This option will have no effect if -nh, --noheader has been selected.

-h, --hours [count]
    Output traffic statistics on a hourly basis. The length of the list will default to 24 entries unless configured otherwise or unless the optional count parameter is used. All entries store in the database will be shown if the count is set to 0.

-hg, --hoursgraph
    Output traffic statistics on a hourly basis for the last 24 hours using a bar graph.

-hs, --hsummary
    Output traffic summary including hourly data bar graph using a horizontal layout.

-i, --iface interface
    Use interface instead of default or configured interface. It is also possible to merge the information of two or more interfaces using the interface1+interface2+... syntax. All provided interfaces must be unique and must exist in the database when the merge syntax is used.

--locale locale
    Use locale instead of using the locale setting specified in the configuration file or the system default if no configuration file is available.

-m, --months [count]
    Output traffic statistics on a monthly basis for the last months. The length of the list will default to 12 entries unless configured otherwise or unless the optional count parameter is used. All entries stored in the database will be shown if count is set to 0.

-ne, --noedge
    Remove darker edges from around the image.

-nh, --noheader
    Remove header containing title and update time. Time of the previous update will still be visible in the lower right corner using a less visible color.

-nl, --nolegend
    Remove legend containing rx and tx color mapping information from the image.

-o, --output file
    Write png image to file and exit. Output can be directed to stdout by giving "-" as filename.

-ru, --rateunit [mode]
    Swap the configured rate unit. If rate has been configured to be shown in bytes then rate will be shown in bits if this option is present. In the same way, if rate has been configured to be shown in bits then rate will be shown in bytes when this option is present. Alternatively, mode with either 0 or 1 can be used as parameter for this option in order to select between bytes (0) and bits (1) regardless of the configuration file setting.

--style number
    Modify the content and style of outputs. Setting number to 3 will show average traffic rate in all outputs where it is supported. Other values will show bar graphics instead.

-s, --summary
    Output traffic statistics summary.

-t, --top [count]
    Output all time top traffic days. The length of the list will default to 10 entries unless configured otherwise or unless the optional count parameter is used. All entries stored in the database will be shown if count is set to 0. When used with --begin and optionally with --end, the list will be generated using the daily data instead of separate top entries. The availability of daily data defines the boundaries the date specific query can access.

--transparent [enabled]
    Toggle background color transparency depending of the TransparentBg setting in the configuration file. Alternatively, 0 or 1 can be given as parameter enabled for this option in order to either disable (0) or enable (1) transparency regardless of the configuration file setting.

-v, --version
    Show current version.

-vs, --vsummary
    Output traffic summary including hourly data bar graph using a vertical layout.

-y, --years [count]
    Output traffic statistics on a yearly basis for the last years. The list will show all entries by default unless configured otherwise or unless the optional count parameter is used. All entries stored in the database will also be shown if count is set to 0.

-?, --help
    Show a command option summary.

FILES

/var/lib/vnstat/
    Default database directory.

/etc/vnstat.conf
    Config file that will be used unless $HOME/.vnstatrc exists. See vnstat.conf(5) for more information.

EXAMPLES

vnstati -s -i eth0 -o /tmp/vnstat.png
    Output traffic summary for interface eth0 to file /tmp/vnstat.png.

vnstati -vs -i eth0+eth1+eth2 -o /tmp/vnstat.png
    Output traffic summary with hourly data under the normal summary for a merge of interfaces eth0, eth1 and eth2 to file /tmp/vnstat.png.

vnstati -h -c 15 -o /tmp/vnstat_h.png
    Output hourly traffic statistics for default interface to file /tmp/vnstat_h.png if the file has not been updated within the last 15 minutes.

vnstati -d -ne -nh -o -
    Output daily traffic statistics without displaying the header section and edges for default interface to standard output (stdout).

vnstati -m --config /home/me/vnstat.cfg -i -o -
    Output monthly traffic statistics for default interface specified in configuration file /home/me/vnstat.cfg to standard output (stdout).

RESTRICTIONS
Depending on the built-in fonts provided by the GD library, not all characters may end up shown correctly when a UTF-8 locale is used.

Using long date output formats may cause misalignment in shown columns if the length of the date exceeds the fixed size allocation.

AUTHOR
Teemu Toivola <tst at iki dot fi>

SEE ALSO
vnstat(1), vnstatd(8), vnstat.conf(5), units(7)